Skip to main content
GET
Search brands
1 credit Free on Pro, Growth, and Scale See the guide for examples and usage.

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <API_KEY>. Keys have full access unless restricted to scopes.

Query Parameters

query
string
required

Search term, matched against the fields selected by queryBy (e.g. 'stripe', 'stripe.com', 'stri').

Required string length: 1 - 100
country
enum<string>

Only return brands in this country, as an uppercase ISO 3166-1 alpha-2 code such as US or GB.

Available options:
AD,
AE,
AF,
AG,
AI,
AL,
AM,
AO,
AQ,
AR,
AS,
AT,
AU,
AW,
AX,
AZ,
BA,
BB,
BD,
BE,
BF,
BG,
BH,
BI,
BJ,
BL,
BM,
BN,
BO,
BQ,
BR,
BS,
BT,
BV,
BW,
BY,
BZ,
CA,
CC,
CD,
CF,
CG,
CH,
CI,
CK,
CL,
CM,
CN,
CO,
CR,
CU,
CV,
CW,
CX,
CY,
CZ,
DE,
DJ,
DK,
DM,
DO,
DZ,
EC,
EE,
EG,
EH,
ER,
ES,
ET,
FI,
FJ,
FK,
FM,
FO,
FR,
GA,
GB,
GD,
GE,
GF,
GG,
GH,
GI,
GL,
GM,
GN,
GP,
GQ,
GR,
GS,
GT,
GU,
GW,
GY,
HK,
HM,
HN,
HR,
HT,
HU,
ID,
IE,
IL,
IM,
IN,
IO,
IQ,
IR,
IS,
IT,
JE,
JM,
JO,
JP,
KE,
KG,
KH,
KI,
KM,
KN,
KP,
KR,
KW,
KY,
KZ,
LA,
LB,
LC,
LI,
LK,
LR,
LS,
LT,
LU,
LV,
LY,
MA,
MC,
MD,
ME,
MF,
MG,
MH,
MK,
ML,
MM,
MN,
MO,
MP,
MQ,
MR,
MS,
MT,
MU,
MV,
MW,
MX,
MY,
MZ,
NA,
NC,
NE,
NF,
NG,
NI,
NL,
NO,
NP,
NR,
NU,
NZ,
OM,
PA,
PE,
PF,
PG,
PH,
PK,
PL,
PM,
PN,
PR,
PS,
PT,
PW,
PY,
QA,
RE,
RO,
RS,
RU,
RW,
SA,
SB,
SC,
SD,
SE,
SG,
SH,
SI,
SJ,
SK,
SL,
SM,
SN,
SO,
SR,
SS,
ST,
SV,
SX,
SY,
SZ,
TC,
TD,
TF,
TG,
TH,
TJ,
TK,
TL,
TM,
TN,
TO,
TR,
TT,
TV,
TW,
TZ,
UA,
UG,
UM,
US,
UY,
UZ,
VA,
VC,
VE,
VG,
VI,
VN,
VU,
WF,
WS,
YE,
YT,
ZA,
ZM,
ZW
Example:

"US"

language
enum<string>

Only return brands with this primary language, such as english or french.

Available options:
afrikaans,
albanian,
amharic,
arabic,
armenian,
assamese,
aymara,
azeri,
basque,
belarusian,
bengali,
bosnian,
bulgarian,
burmese,
cantonese,
catalan,
cebuano,
chinese,
corsican,
croatian,
czech,
danish,
dutch,
english,
esperanto,
estonian,
farsi,
fijian,
finnish,
french,
galician,
georgian,
german,
greek,
guarani,
gujarati,
haitian-creole,
hausa,
hawaiian,
hebrew,
hindi,
hmong,
hungarian,
icelandic,
igbo,
indonesian,
irish,
italian,
japanese,
javanese,
kannada,
kazakh,
khmer,
kinyarwanda,
korean,
kurdish,
kyrgyz,
lao,
latin,
latvian,
lingala,
lithuanian,
luxembourgish,
macedonian,
malagasy,
malay,
malayalam,
maltese,
maori,
marathi,
mongolian,
nepali,
norwegian,
odia,
oromo,
pashto,
pidgin,
polish,
portuguese,
punjabi,
quechua,
romanian,
russian,
samoan,
scottish-gaelic,
serbian,
sesotho,
shona,
sindhi,
sinhala,
slovak,
slovene,
somali,
spanish,
sundanese,
swahili,
swedish,
tagalog,
tajik,
tamil,
tatar,
telugu,
thai,
tibetan,
tigrinya,
tongan,
tswana,
turkish,
turkmen,
ukrainian,
urdu,
uyghur,
uzbek,
vietnamese,
welsh,
wolof,
xhosa,
yiddish,
yoruba,
zulu
autocomplete
boolean
default:true

Whether the search term matches by prefix, so partial words match as they are typed (e.g. 'stri' matches Stripe). Set to false to match whole words only.

queryBy
enum<string>[]

Fields to match the search term against, as a comma-separated list or repeated parameter: 'name', 'domain', or both. Defaults to both.

Minimum array length: 1
Available options:
name,
domain
typoTolerance
integer
default:0

Maximum number of typos tolerated when matching, from 0 to 2. Defaults to 0 (no typo tolerance).

Required range: 0 <= x <= 2
tags
string[]

Comma-separated labels for filtering usage, e.g. production,team-alpha. Labels for filtering usage in the dashboard.

Maximum array length: 20
Required string length: 1 - 50
Example:

Response

Successful response

results
object[]
required

Up to 10 matching brands, name matches first, then domain matches, most popular first within each group. Empty when nothing matches.

Maximum array length: 10
request_id
string<uuid>
required

Unique ID of this request, also in X-Request-Id. Include it when contacting support.

Example:

"3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91"

key_metadata
object

Credits this request used and your remaining balance.